#set_property PACKAGE_PIN K5 [get_ports {cec_clk[0]}]
#set_property IOSTANDARD LVCMOS25 [get_ports {cec_clk[0]}]

set_property PACKAGE_PIN J1 [get_ports ct_hpd]
set_property PACKAGE_PIN J5 [get_ports ls_oe]

set_property SLEW FAST [get_ports hdmi_out_*]
set_property DRIVE 16 [get_ports hdmi_out_*]

set_property PACKAGE_PIN M3 [get_ports hdmi_out_data[0]]
set_property PACKAGE_PIN M4 [get_ports hdmi_out_data[1]]
set_property PACKAGE_PIN L1 [get_ports hdmi_out_data[2]]
set_property PACKAGE_PIN L2 [get_ports hdmi_out_data[3]]
set_property PACKAGE_PIN P1 [get_ports hdmi_out_data[4]]
set_property PACKAGE_PIN N3 [get_ports hdmi_out_data[5]]
set_property PACKAGE_PIN N1 [get_ports hdmi_out_data[6]]
set_property PACKAGE_PIN N4 [get_ports hdmi_out_data[7]]
set_property PACKAGE_PIN R4 [get_ports hdmi_out_data[8]]
set_property PACKAGE_PIN P5 [get_ports hdmi_out_data[9]]
set_property PACKAGE_PIN R5 [get_ports hdmi_out_data[10]]
set_property PACKAGE_PIN P6 [get_ports hdmi_out_data[11]]

set_property PACKAGE_PIN U1 [get_ports hdmi_out_clk]
set_property PACKAGE_PIN U2 [get_ports hdmi_out_de]
set_property PACKAGE_PIN T2 [get_ports hdmi_out_hsync]
set_property PACKAGE_PIN T1 [get_ports hdmi_out_vsync]

set_property PACKAGE_PIN M2 [get_ports hdmi_i2c_sda_io]
set_property PACKAGE_PIN M1 [get_ports hdmi_i2c_scl_io]

set_property PULLUP true [get_ports hdmi_i2c_scl_io]
set_property PULLUP true [get_ports hdmi_i2c_sda_io]
